## org.apache.taglibs.standard.tag.rt.core
Class ImportTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.ImportSupport
                  org.apache.taglibs.standard.tag.rt.core.ImportTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally, ParamParent

    public class ImportTag

extends ImportSupport

A handler for <import> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.ImportSupport
`charEncoding, context, DEFAULT_ENCODING, url, VALID_SCHEME_CHARS`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImportTag()`

Method Summary
`void` `setCharEncoding(String charEncoding)`
`void` `setContext(String context)`
`void` `setUrl(String url)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.ImportSupport
`addParameter, doCatch, doEndTag, doFinally, doStartTag, isAbsoluteUrl, release, setScope, setVar, setVarReader, stripSession`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ImportTag

    public ImportTag()

Method Detail

### setUrl

    public void setUrl(String url)
                throws JspTagException

  Throws:
    `JspTagException`

### setContext

    public void setContext(String context)
                    throws JspTagException

  Throws:
    `JspTagException`

### setCharEncoding

    public void setCharEncoding(String charEncoding)
                         throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.